Get contact
Agent Skill
Automate this endpoint with an AI agent using the 2chat-contacts skill:
npx skills add 2ChatCo/agent-skills -s 2chat-contacts
This endpoint will let you pull an existing contact from your 2Chat account using its UUID. You can get the UUID of the contact using the List Contacts endpoint, or the Search Endpoint.
API costโ
1API credit
Each call to this endpoint deducts 1 API credit from your plan's API credit pool.
Invocationโ
Make a GET request to https://api.p.2chat.io/open/contacts/<contact-uuid>, where:
<contact-uuid> is the UUID of the contact you would like to update. E.g.: CON58147f7c-3756-4ca1-893c-c3360342b424.
Invocationโ
- cURL
- Python
- JavaScript
curl --location --request GET 'https://api.p.2chat.io/open/contacts/CON58147f7c-3756-4ca1-893c-c3360342b424' \
--header 'Content-Type: application/json' \
--header 'X-User-API-Key: your_api_key_here'
import requests
import json
url = "https://api.p.2chat.io/open/contacts/CON58147f7c-3756-4ca1-893c-c3360342b424"
headers = {
'X-User-API-Key': 'your_api_key_here',
'Content-Type': 'application/json'
}
response = requests.request("GET", url, headers=headers)
print(response.text)
var axios = require('axios');
var config = {
method: 'GET',
url: 'https://api.p.2chat.io/open/contacts/CON58147f7c-3756-4ca1-893c-c3360342b424',
headers: {
'X-User-API-Key': 'your_api_key_here',
'Content-Type': 'application/json'
}
};
axios(config)
.then(function (response) {
console.log(JSON.stringify(response.data));
})
.catch(function (error) {
console.log(error);
});
Responseโ
{
"success": true,
"contact": {
"uuid": "CON58147f7c-3756-4ca1-893c-c3360342b424",
"first_name": "Updated name",
"last_name": "Updated last name",
"channel_uuid": "WPN66037eca-9ad1-4c96-9eff-526a90a48c77",
"profile_pic_url": null,
"last_updated": "2025-12-03T00:29:08Z"
}
}